aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--system/pmdk/changelog4
-rw-r--r--system/pmdk/pmdk.SlackBuild12
-rw-r--r--system/pmdk/pmdk.info6
3 files changed, 15 insertions, 7 deletions
diff --git a/system/pmdk/changelog b/system/pmdk/changelog
index 8411160f1df8..d6a76854dceb 100644
--- a/system/pmdk/changelog
+++ b/system/pmdk/changelog
@@ -14,3 +14,7 @@ pmdk slackbuild script fixed by B.Watson
Updated to version 1.13.0
From this build onwards it will only build
on x86_64 platform only.
+
+19/02/2024:
+
+Updated to version 1.13.1
diff --git a/system/pmdk/pmdk.SlackBuild b/system/pmdk/pmdk.SlackBuild
index febca9616ca1..aaaf5c1c179b 100644
--- a/system/pmdk/pmdk.SlackBuild
+++ b/system/pmdk/pmdk.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for pmdk
-# Copyright 2022-2023 Vijay Marcel
+# Copyright 2022-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=pmdk
-VERSION=${VERSION:-1.13.0}
+VERSION=${VERSION:-1.13.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -83,10 +83,14 @@ make -C doc all
make -C doc install DESTDIR=$PKG/usr/man/
# Don't ship .la files:
-rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+rm -rvf $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Remove static libs
+
+rm -rvf $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.a
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
mv -v $PKG/usr/etc $PKG/etc
mv -v $PKG/usr/man/usr/local/share/man/* $PKG/usr/man/
diff --git a/system/pmdk/pmdk.info b/system/pmdk/pmdk.info
index 86bf01095a93..e47e04893fea 100644
--- a/system/pmdk/pmdk.info
+++ b/system/pmdk/pmdk.info
@@ -1,10 +1,10 @@
PRGNAM="pmdk"
-VERSION="1.13.0"
+VERSION="1.13.1"
HOMEPAGE="https://pmem.io/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://github.com/pmem/pmdk/archive/1.13.0/pmdk-1.13.0.tar.gz"
-MD5SUM_x86_64="8e2dc1fedc0c9bdfa4f04e2ebbe28b7f"
+DOWNLOAD_x86_64="https://github.com/pmem/pmdk/archive/1.13.1/pmdk-1.13.1.tar.gz"
+MD5SUM_x86_64="e40ebc84f4001331f2351f4e84f0c775"
REQUIRES="pandoc-bin"
MAINTAINER="Vijay Marcel"
EMAIL="vijaymarcel@outlook.com"